#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, m, k, h, us;
    cin >> n >> m;
    long long a[n], x[m], y[m], p[n];
    for(long long i=0; i<n; i++)
        cin>>a[i];
    for(long long i=0; i<m; i++)
        cin>> x[i] >> y[i];

    long long max=0;
    for(long long i=1; i<n; i++)
    {
        if(abs(a[i])>abs(max))
        {
            max=a[i];
            k=i;
        }

    }
    for(long long i=0; i<n; i++)
        p[i]=0;
    for(long long i=0; i<m; i++)
    {
        p[x[i]]++;
        p[y[i]]++;
    }
    long long maks=0;
    for(long long i=1; i<n; i++)
    {
        if(abs(p[i])>abs(maks))
        {
            maks=p[i];
            h=i;
        }

    }
    us = 0;
    if(abs(a[k])*abs(p[k])>abs(p[h])*abs(a[h]))
    {
        if(a[k]>0)
        {
            for(long long i=0; i<n; i++)
            {
                us+=a[i]*p[i];
            }
        }
        else
        {
            for(long long i=0; i<n; i++)
            {
                us+=a[i]*p[i]*(-1);
            }
        }
    }
    else
    {
        if(p[h]>0)
        {
            for(long long i=0; i<n; i++)
            {
                us+=a[i]*p[i];
            }
        }
        else
        {
            for(long long i=0; i<n; i++)
            {
                us+=a[i]*p[i]*(-1);
            }
        }
    }

    cout << us;

    return 0;
}